Subject: [Simple] Request for Publication of draft-ietf-simple-simple-08

From: Ben Campbell <[email-masked]>
Date: Wed, 30 Jan 2013 21:56:21 -0600

Hi,

The SIMPLE working group requests publication of draft-ietf-simple-simple-08. The proto writeup follows:

------------------------------------------------------------

> Document Writeup
> 
> As required by RFC 4858, this is the current template for the Document
> Shepherd Write-Up.
> 
> Changes are expected over time. This version is dated 24 February
> 2012.
> 
> (1) What type of RFC is being requested (BCP, Proposed Standard,
> Internet Standard, Informational, Experimental, or Historic)?  Why is
> this the proper type of RFC?  Is this type of RFC indicated in the
> title page header?
> 

The RFC is intended to be informational. The title header page indicates informational.

> (2) The IESG approval announcement includes a Document Announcement
> Write-Up. Please provide such a Document Announcement Write-Up. Recent
> examples can be found in the "Action" announcements for approved
> documents. The approval announcement contains the following sections:

Technical Summary

The IETF has produced many specifications related to Presence and Instant Messaging with the Session Initiation Protocol (SIP). Collectively, these specifications are known as SIMPLE - SIP for Instant Messaging and Presence Leveraging Extensions.  This document serves as a guide to the SIMPLE suite of specifications.  It breaks them up into categories and explains what each is for and how they relate to each other.

Working Group Summary

This document servers as a roadmap to the SIMPLE specifications. It introduces no technical content beyond the summaries of those specifications. While some of the referenced specifications had some degree of controversy, this draft was not controversial in itself.

Document Quality.

This document is a roadmap to other specifications, and therefore has no directly implementable content. The document has undergone normal working group review. There have been no specialized expert reviews, and the shepherd does not believe such reviews are needed, other than those normal for all documents (e.g. Gen-ART).

Personnel

The document shepherd for this document is Ben Campbell. 

The responsible Area Director is Robert Sparks. 

> (3) Briefly describe the review of this document that was performed by
> the Document Shepherd.  If this version of the document is not ready
> for publication, please explain why the document is being forwarded to
> the IESG.

The document shepherd reviewed this document for content, structure, and nits. There is a single outstanding nit (an informative reference to RFC 3265 which has been obsoleted by RFC 6665). We plan to update that reference along with any updates indicated by the IETF last call results prior to final publication. 

The shepherd believes the document to be otherwise ready for publication. 

> (4) Does the document Shepherd have any concerns about the depth or
> breadth of the reviews that have been performed?  

The document shepherd has no concerns about the depth or breadth 
of the reviews. 

> (5) Do portions of the document need review from a particular or from
> broader perspective, e.g., security, operational complexity, AAA, DNS,
> DHCP, XML, or internationalization? If so, describe the review that
> took place.

The shepherd believes all aspects of this document has been sufficiently reviewed. There have been no specialized expert reviews, and the shepherd does not believe such reviews are needed.

> (6) Describe any specific concerns or issues that the Document Shepherd
> has with this document that the Responsible Area Director and/or the
> IESG should be aware of? For example, perhaps he or she is uncomfortable
> with certain parts of the document, or has concerns whether there really
> is a need for it. In any event, if the WG has discussed those issues and
> has indicated that it still wishes to advance the document, detail those
> concerns here.

The shepherd has no concerns about the document. It seems fairly non-controversial.

> (7) Has each author confirmed that any and all appropriate IPR
> disclosures required for full conformance with the provisions of BCP 78
> and BCP 79 have already been filed. If not, explain why.

Author confirmation is pending at the time of submission. However, since the document is comprised of summaries of and references to other documents, the need for IPR disclosures seems unlikely.

> (8) Has an IPR disclosure been filed that references this document?
> If so, summarize any WG discussion and conclusion regarding the IPR
> disclosures.

There have been no IPR disclosures referencing this document.

> (9) How solid is the WG consensus behind this document? Does it 
> represent the strong concurrence of a few individuals, with others
> being silent, or does the WG as a whole understand and agree with it?

As an roadmap to other SIMPLE specifications, this document originally had wide working group consensus. However, very little discussion has occurred since then. The shepherd believes that this is to be expected given the nature of the document as a roadmap to other work. No significant objections have been raised to this document. 

> (10) Has anyone threatened an appeal or otherwise indicated extreme 
> discontent? If so, please summarize the areas of conflict in separate
> email messages to the Responsible Area Director. (It should be in a
> separate email because this questionnaire is publicly available.) 

No one has threatened an appeal or otherwise indicated extreme 
discontent. 

> (11) Identify any ID nits the Document Shepherd has found in this
> document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts
> Checklist). Boilerplate checks are not enough; this check needs to be
> thorough.

The Document Shepherd believes that the document contains all needed 
information, and that all nits are covered except for the obsolete reference mentioned in section (3).

> (12) Describe how the document meets any required formal review
> criteria, such as the MIB Doctor, media type, and URI type reviews.

The document has not gone through any formal review beyond routine working group reviews. The shepherd does not believe any such reviews are needed.

> (13) Have all references within this document been identified as
> either normative or informative?

All references are identified as informative.

> (14) Are there normative references to documents that are not ready for
> advancement or are otherwise in an unclear state? If such normative
> references exist, what is the plan for their completion?

There are no normative references. There is an informative reference to draft-ietf-simple-chat, which has been approved for publication by the IESG.

> (15) Are there downward normative references references (see RFC 3967)?
> If so, list these downward references to support the Area Director in 
> the Last Call procedure. 

There are no normative references.

> (16) Will publication of this document change the status of any
> existing RFCs? Are those RFCs listed on the title page header, listed
> in the abstract, and discussed in the introduction? If the RFCs are not
> listed in the Abstract and Introduction, explain why, and point to the
> part of the document where the relationship of this document to the
> other RFCs is discussed. If this information is not in the document,
> explain why the WG considers it unnecessary.

This document does not effect the status of any existing RFC.

> (17) Describe the Document Shepherd's review of the IANA considerations
> section, especially with regard to its consistency with the body of the
> document. Confirm that all protocol extensions that the document makes
> are associated with the appropriate reservations in IANA registries.
> Confirm that any referenced IANA registries have been clearly
> identified. Confirm that newly created IANA registries include a
> detailed specification of the initial contents for the registry, that
> allocations procedures for future registrations are defined, and a
> reasonable name for the new registry has been suggested (see RFC 5226).

The shepherd has extensively reviewed the IANA considerations, and determined that the draft makes no request of IANA, nor are any such requests appropriate.

(The shepherd further notes that the IANA considerations consist entirely of the word "None.")

> (18) List any new IANA registries that require Expert Review for future
> allocations. Provide any public guidance that the IESG would find
> useful in selecting the IANA Experts for these new registries.

The document does not establish any new registries. (Really, it says "None.")

> (19) Describe reviews and automated checks performed by the Document
> Shepherd to validate sections of the document written in a formal
> language, such as XML code, BNF rules, MIB definitions, etc.

The draft contains no formal language requiring validation.